> ## Documentation Index
> Fetch the complete documentation index at: https://developer.accessrc.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Unsubscribe Event



## OpenAPI

````yaml POST /api/Event/Unsubscribe
openapi: 3.0.4
info:
  title: ServiceProvider API
  version: v1
servers: []
security:
  - ApiKeyAuth: []
paths:
  /api/Event/Unsubscribe:
    post:
      tags:
        - Event
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/EventUnsubscribeRequest'
            example:
              eventType: DELIVERY_CHANNEL_STATUS_UPDATED
          application/json:
            schema:
              $ref: '#/components/schemas/EventUnsubscribeRequest'
            example:
              eventType: DELIVERY_CHANNEL_STATUS_UPDATED
          text/json:
            schema:
              $ref: '#/components/schemas/EventUnsubscribeRequest'
            example:
              eventType: DELIVERY_CHANNEL_STATUS_UPDATED
          application/*+json:
            schema:
              $ref: '#/components/schemas/EventUnsubscribeRequest'
            example:
              eventType: DELIVERY_CHANNEL_STATUS_UPDATED
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  Error:
                    type: object
                    properties:
                      Code:
                        type: integer
                        format: int32
                      Type:
                        type: string
                      Message:
                        type: string
                      Title:
                        type: string
                  Data:
                    type: object
                    properties:
                      Error:
                        type: object
                        properties:
                          Code:
                            type: integer
                            format: int32
                          Type:
                            type: string
                          Message:
                            type: string
                          Title:
                            type: string
                      Data:
                        $ref: '#/components/schemas/BaseResponse'
                      Paging:
                        type: object
                        properties:
                          Skip:
                            type: integer
                            format: int32
                          Take:
                            type: integer
                            format: int32
                          Total:
                            type: integer
                            format: int32
                      Token:
                        type: object
              example:
                error: null
                data:
                  message: Webhook successfully unsubscribed
                  subscriptionId: c79f8f33-0042-4c25-bd5e-0dc1982f8cea
                  callbackUrl: https://webhook.site/98add1ca-f654-4c01-8eac-e771f06e160e
                  eventType: DELIVERY_REQUEST_SENT
                  date: '2025-04-07T07:51:38Z'
                status: success
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  Error:
                    type: object
                    properties:
                      Code:
                        type: integer
                        format: int32
                      Type:
                        type: string
                      Message:
                        type: string
                      Title:
                        type: string
                  Data:
                    type: object
                    properties:
                      Error:
                        type: object
                        properties:
                          Code:
                            type: integer
                            format: int32
                          Type:
                            type: string
                          Message:
                            type: string
                          Title:
                            type: string
                      Data:
                        $ref: '#/components/schemas/BaseResponse'
                      Paging:
                        type: object
                        properties:
                          Skip:
                            type: integer
                            format: int32
                          Take:
                            type: integer
                            format: int32
                          Total:
                            type: integer
                            format: int32
                      Token:
                        type: object
              example:
                error:
                  guid: 95bd740b-755b-4f95-8549-fa9acfc31a41
                  code: 400
                  type: ValidationError
                  message: >-
                    Invalid request body format. Please check your request
                    format from AccessRC API specifications.
                  title: Invalid Request Body
                data: null
                status: failed
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  Error:
                    type: object
                    properties:
                      Code:
                        type: integer
                        format: int32
                      Type:
                        type: string
                      Message:
                        type: string
                      Title:
                        type: string
                  Data:
                    type: object
                    properties:
                      Error:
                        type: object
                        properties:
                          Code:
                            type: integer
                            format: int32
                          Type:
                            type: string
                          Message:
                            type: string
                          Title:
                            type: string
                      Data:
                        $ref: '#/components/schemas/BaseResponse'
                      Paging:
                        type: object
                        properties:
                          Skip:
                            type: integer
                            format: int32
                          Take:
                            type: integer
                            format: int32
                          Total:
                            type: integer
                            format: int32
                      Token:
                        type: object
              example:
                error:
                  guid: 2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3
                  code: 401
                  type: Unauthorized
                  message: null
                  title: API Key is missing
                data: null
                status: failed
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  Error:
                    type: object
                    properties:
                      Code:
                        type: integer
                        format: int32
                      Type:
                        type: string
                      Message:
                        type: string
                      Title:
                        type: string
                  Data:
                    type: object
                    properties:
                      Error:
                        type: object
                        properties:
                          Code:
                            type: integer
                            format: int32
                          Type:
                            type: string
                          Message:
                            type: string
                          Title:
                            type: string
                      Data:
                        $ref: '#/components/schemas/BaseResponse'
                      Paging:
                        type: object
                        properties:
                          Skip:
                            type: integer
                            format: int32
                          Take:
                            type: integer
                            format: int32
                          Total:
                            type: integer
                            format: int32
                      Token:
                        type: object
              example:
                error:
                  guid: 2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3
                  code: 500
                  type: Exception
                  message: null
                  title: Internal Server Error
                data: null
                status: failed
components:
  schemas:
    EventUnsubscribeRequest:
      type: object
      properties:
        eventType:
          enum:
            - 'NULL'
            - DELIVERY_CHANNEL_STATUS_UPDATED
            - DELIVERY_REQUEST_SENT
            - DELIVERY_REFUND_REQUESTED
          type: string
          example: 'NULL'
      additionalProperties: false
    BaseResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/Error'
        data:
          nullable: true
        status:
          type: string
          nullable: true
      additionalProperties: false
    Error:
      type: object
      properties:
        guid:
          type: string
          nullable: true
        code:
          type: integer
          format: int32
        type:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key required in `x-api-key` header

````